Subject: bug#14201: closed (Re: bug#14201: guile build issue under Mac OS X)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Apr 2013 14:30:02 +0000

Your bug report

#14201: guile build issue under Mac OS X

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14201: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14201
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14201: guile build issue under Mac OS X
From: [email-masked] (Ludovic Courtès)
To: Marius Schamschula <[email-masked]>
Cc: [email-masked]
Date: Sun, 14 Apr 2013 16:25:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Schamschula <[email-masked]> skribis:

> Good catch!
>  I didn't look at #!

Thanks, and sorry for the inconvenience!

Ludo’.

Subject: guile build issue under Mac OS X
From: Marius Schamschula <[email-masked]>
To: [email-masked]
Date: Sat, 13 Apr 2013 09:16:52 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

I just tried building guile 2.0.9 under three versions of Mac OS X (10.6.8, 10.7.5 and 10.8.3). In all cases I get the following error:

<snip>
Making all in lib
make[2]: Entering directory `/private/tmp/guile-2.0.9/lib'
make[2]: ../build-aux/install-sh: Command not found
make[2]: *** [arpa/inet.h] Error 127
make[2]: Leaving directory `/private/tmp/guile-2.0.9/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/private/tmp/guile-2.0.9'
make: *** [all] Error 2
</snip>

Notes:
* the tile /private/tmp/guile-2.0.9/build-aux/install-sh does exist and is executable.
* /usr/include/arpa/inet.h is also available, so no CPPFLAGS should be needed

Any ideas?

--
Marius Schamschula